<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions name="IvaService" targetNamespace="http://schemas.cebia.com/iva/service/"
                  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
                  xmlns:i0="http://tempuri.org/" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                  xmlns:tns="http://schemas.cebia.com/iva/service/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
                  xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl">
    <wsdl:import namespace="http://tempuri.org/"
                 location="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc?wsdl=wsdl0"/>
    <wsdl:types>
        <xsd:schema targetNamespace="http://schemas.cebia.com/iva/service/Imports">
            <xsd:import schemaLocation="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc?xsd=xsd0"
                        namespace="http://schemas.cebia.com/iva/service/"/>
            <xsd:import schemaLocation="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc?xsd=xsd1"
                        namespace="http://schemas.microsoft.com/2003/10/Serialization/"/>
            <xsd:import schemaLocation="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc?xsd=xsd2"
                        namespace="http://samo.cz/iva/"/>
            <xsd:import schemaLocation="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc?xsd=xsd3"
                        namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays"/>
        </xsd:schema>
    </wsdl:types>
    <wsdl:message name="IvaService_VehicleIdentification1_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification1"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleIdentification1_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification1Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleIdentification2_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification2"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleIdentification2_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification2Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleIdentification3_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification3"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleIdentification3_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleIdentification3Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetail1_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetail1"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetail1_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetail1Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetail2_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetail2"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetail2_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetail2Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleValuation_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleValuation"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleValuation_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleValuationResponse"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleValuation2_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleValuation2"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleValuation2_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleValuation2Response"/>
    </wsdl:message>
    <wsdl:message name="IvaService_SearchCriteriaValues_InputMessage">
        <wsdl:part name="parameters" element="tns:SearchCriteriaValues"/>
    </wsdl:message>
    <wsdl:message name="IvaService_SearchCriteriaValues_OutputMessage">
        <wsdl:part name="parameters" element="tns:SearchCriteriaValuesResponse"/>
    </wsdl:message>
    <wsdl:message name="IvaService_Alive_InputMessage">
        <wsdl:part name="parameters" element="tns:Alive"/>
    </wsdl:message>
    <wsdl:message name="IvaService_Alive_OutputMessage">
        <wsdl:part name="parameters" element="tns:AliveResponse"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetailByVin_InputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetailByVin"/>
    </wsdl:message>
    <wsdl:message name="IvaService_VehicleDetailByVin_OutputMessage">
        <wsdl:part name="parameters" element="tns:VehicleDetailByVinResponse"/>
    </wsdl:message>
    <wsdl:portType name="IvaService">
        <wsdl:operation name="VehicleIdentification1">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification1"
                        message="tns:IvaService_VehicleIdentification1_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification1Response"
                         message="tns:IvaService_VehicleIdentification1_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleIdentification2">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification2"
                        message="tns:IvaService_VehicleIdentification2_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification2Response"
                         message="tns:IvaService_VehicleIdentification2_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleIdentification3">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification3"
                        message="tns:IvaService_VehicleIdentification3_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleIdentification3Response"
                         message="tns:IvaService_VehicleIdentification3_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleDetail1">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetail1"
                        message="tns:IvaService_VehicleDetail1_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetail1Response"
                         message="tns:IvaService_VehicleDetail1_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleDetail2">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetail2"
                        message="tns:IvaService_VehicleDetail2_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetail2Response"
                         message="tns:IvaService_VehicleDetail2_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleValuation">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleValuation"
                        message="tns:IvaService_VehicleValuation_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleValuationResponse"
                         message="tns:IvaService_VehicleValuation_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleValuation2">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleValuation2"
                        message="tns:IvaService_VehicleValuation2_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleValuation2Response"
                         message="tns:IvaService_VehicleValuation2_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="SearchCriteriaValues">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/SearchCriteriaValues"
                        message="tns:IvaService_SearchCriteriaValues_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/SearchCriteriaValuesResponse"
                         message="tns:IvaService_SearchCriteriaValues_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="Alive">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/Alive"
                        message="tns:IvaService_Alive_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/AliveResponse"
                         message="tns:IvaService_Alive_OutputMessage"/>
        </wsdl:operation>
        <wsdl:operation name="VehicleDetailByVin">
            <wsdl:input wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetailByVin"
                        message="tns:IvaService_VehicleDetailByVin_InputMessage"/>
            <wsdl:output wsaw:Action="http://schemas.cebia.com/iva/service/IvaService/VehicleDetailByVinResponse"
                         message="tns:IvaService_VehicleDetailByVin_OutputMessage"/>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:service name="IvaService">
        <wsdl:port name="BasicHttpBinding_IvaService" binding="i0:BasicHttpBinding_IvaService">
            <soap:address location="https://app.cebia.com/IVATEST/Services/IvaServiceActual.svc"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>